package form;

import form.data.*;
import form.comp.*;
import form.edit.*;
import java.awt.* ;
import java.awt.event.* ;
import java.io.*;
import java.util.*;
import java.net.*;

public class FormActionListener implements FormListener{

   private Data data = null;
   private Viewer viewer = null;

	public void setData(Data dat){
		data = dat;
	}

   public FormActionListener (Viewer v){
	viewer = v;
   }
	

  public void mouseClicked(MouseEvent e) {

  }

  public void mouseEntered(MouseEvent e) {}
  public void mouseExited(MouseEvent e) {}
  public void mousePressed(MouseEvent e) {
	if (e.isPopupTrigger() ){
		System.out.println("popup event");
	}
	}
  public void mouseReleased(MouseEvent e) {}
  public void actionPerformed (ActionEvent e) {
		String command = e.getActionCommand();
		Button b = ((Button)e.getSource());
		String params = b.getActionCommand();
		if (command.startsWith("panel")){
			System.out.println("Params for button: "+params);
			viewer.setViewable(params);
			//d.setVisible(true);
			return;
		}
		else if (command.startsWith("submit")){
			System.out.println("Submitting");
			viewer.submit();
			System.exit(1);
        }
		else if (command.startsWith("dismiss")){
			((Window)b.getParent().getParent()).dispose();
	//		FormDialog d = data.getFormDialog(params);
	//		d.dispose();
	//	window.dispose();
 //       System.exit(1);
		}
  }

}
